package com.purui.prims.dscheduler.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TaskParams {

    // 自定义参数
    private List<Property> localParams = new ArrayList<>();

    private List<String> preStatements = new ArrayList<>();

    private List<String> postStatements = new ArrayList<>();

    private List<Property> resourceList = new ArrayList<>();

    // 数据库类型
    private String type;

    // 查询/非查询
    private String sqlType = "1";

    // SQL语句
    private String sql;

    // 数据源Id
    private Integer datasource;

}
